=== docs/z3fdb/requirements.txt ===
sphinxcontrib-mermaid~=1.0
pydata-sphinx-theme==0.16.1
Sphinx~=8.2.3
sphinx-autoapi~=3.6.0
sphinx-tabs~=3.4.7
