=== debian/changelog ===
fdb (5.19.0-1) unstable; urgency=medium

  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Add d/gbp.conf
  * New upstream release
  * B-D on python3-sphinxdoc-mermaid, python3-sphinx,autoapi

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jan 2026 07:59:58 +0000
