## fdb 5.19.1

=== requirements.txt ===
zarr>=3,<4
numpy
pytest
pytest-asyncio
eccodes
pyfdb
build
setuptools
