=== docs/CMakeLists.txt ===
add_subdirectory(fdb)
add_subdirectory(z3fdb)
