=== debian/changelog ===
fdb (5.19.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Add new files under CC-BY-4.0 license
  * Add header to patch
  * d/gbp.conf: use pristine-tar

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Feb 2026 09:01:41 +0000
