=== debian/control ===
Source: fdb
Standards-Version: 4.7.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Section: utils
Build-Depends:
 debhelper-compat (=13),
 architecture-is-64-bit,
 ecbuild,
 libeckit-dev (>= 1.32.3-1~),
 libeccodes-dev,
 libopenjp2-7-dev,
 libmetkit-dev (>= 1.15.3-1~),
 libmetkit-utils,
 libodc-dev,
 libpmem-dev [amd64 arm64 ppc64el riscv64],
 librados-dev,
 python3-sphinx-book-theme,
 python3-sphinx-autoapi,
 python3-sphinxcontrib-mermaid,
 python3-breathe,
 libeccodes-tools,
Vcs-Browser: https://salsa.debian.org/science-team/fdb
Vcs-Git: https://salsa.debian.org/science-team/fdb.git -b debian/latest
Homepage: https://github.com/ecmwf/fdb

Package: libfdb5-0d
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Library for the ECMWF Fields Database
 FDB (Fields DataBase) is a domain-specific object store developed
 at ECMWF for storing, indexing and retrieving GRIB data. 
 Each GRIB message is stored as a field and indexed trough semantic metadata
 (i.e. physical variables such as temperature, pressure, ...).
 A set of fields can be retrieved specifying a request using
 a specific language developed for accessing the MARS Archive.

Package: libfdb5-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libfdb5-0d (= ${binary:Version}),
 ${misc:Depends},
 libeckit-dev,
Recommends:
 pkgconf,
Description: Development files for the ECMWF Fields database
 FDB (Fields DataBase) is a domain-specific object store developed
 at ECMWF for storing, indexing and retrieving GRIB data. 
 Each GRIB message is stored as a field and indexed trough semantic metadata
 (i.e. physical variables such as temperature, pressure, ...).
 A set of fields can be retrieved specifying a request using
 a specific language developed for accessing the MARS Archive.
 .
 This package provides shared libraries and headers.

Package: fdb5
Architecture: any
Multi-Arch: foreign
Depends:
 libfdb5-0d ( = ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libfdb5-dev (= ${binary:Version}),
Description: Utilities for the FDB Fields Database
 FDB (Fields DataBase) is a domain-specific object store developed
 at ECMWF for storing, indexing and retrieving GRIB data. 
 Each GRIB message is stored as a field and indexed trough semantic metadata
 (i.e. physical variables such as temperature, pressure, ...).
 A set of fields can be retrieved specifying a request using
 a specific language developed for accessing the MARS Archive.
